$susy: (
	columns: 12,
	gutters: 1/2,
	math: fluid,
	gutter-position: inside,
);
body{
  font-family: 'PT Mono';
}
.ss-body{
	overflow-y: scroll;
	height: 100vh;
	scroll-snap-type: y mandatory;
	&>*{
		scroll-snap-align: start;
		min-height: 100%;
	}
}
.cvr{
  position: relative;
  background-position: center;
  background-size: cover;
  &.scrn{
    &>*{
      z-index: 1;
    }
    .main-nav{
      z-index: 2;
    }
    &:after{
      content: "";
      position: absolute;
      z-index: 0;
      display: block;
      left: 0;
      top: 0;
      right: 0;
      bottom: 0;
      background-color: rgba(13, 9, 49, 0.9);
    }
  }
}

.site-header{
  overflow-x: hidden;
  .ttl-hold{
    min-height: 100vh;
		padding: 0 20px;
    position: relative;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    flex-direction: column;
		text-align:center;
  }
  h1{
    color: $pnk;
    text-transform: uppercase;
    font-size: 120px;
    font-size: 7vw;
    font-family: 'PT Mono';
    border-bottom: 3px dashed $pnk;
    display: inline-block;
    margin-bottom: 0;
		position: relative;
		&.go{
			&:before{
			  content:attr(data-txt);
			  position:absolute;
			  left:-2px;
			  top:0;
				color: rgba(243, 0, 76, 0.81);
				overflow: hidden;
				clip: rect(0, 900px, 0, 0);
				animation: glitch1 3s ;
				z-index: -1;
			}
			&:after{
			  content:attr(data-txt);
			  position:absolute;
			  top:0;
				left: 0;
				color:rgba(145, 0, 255, 0.59);
				overflow: hidden;
				animation: glitch2 5s ;
				z-index: -1;
			}
			&:hover{
				&:before{
					animation: glitch1 3s infinite;
				}
				&:after{
					animation: glitch2 5s infinite;
				}
			}
		}
  }
  h2{
    color: #fff;
    text-transform: uppercase;
    font-weight: 400;
		font-size: 18px;
		@include breakpoint($b-768){
			font-size: 24px;
		}
  }
}
@keyframes glitch1{
  $steps:33;
  @for $i from 0 through $steps{
    #{percentage($i*(1/$steps))}{
      clip:rect(random(100)+px,9999px,random(100)+px,0);
    }
  }
}
@keyframes glitch2 {
	0% {
		transform: translate(0)
	}
	20% {
		transform: translate(-1px, 2px)
	}
	40% {
		transform: translate(0px, 1px)
	}
	60% {
		transform: translate(-1px, 2px)
	}
	80% {
		transform: translate(1px, 1px)
	}
	to {
		transform: translate(0)
	}
}
.main-nav{
  position: fixed;
  left: 0;
  right: 0;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  flex-direction: row;
	background-color: #170044;
	@include breakpoint($br-768){
		transition: all 0.2s;
    transform: translateY(-100%);
		justify-content: left;
	}
  ul{
    list-style: none;
    padding: 0;
    font-family: 'Roboto';
		margin: 8px 0;
    li{
      padding: 0 15px;
			@include breakpoint($b-768){
				float: left;
			}
      a{
        text-decoration: none;
        color: #fff;
        border-bottom: 2px solid rgba(0, 0, 0, 0);
				font-weight: bold;
        transition: all 0.4s;
				text-shadow: 0px 0px 2px #000;
				@include breakpoint($br-768){
					padding: 10px 0;
					display: inline-block;
				}
				&:hover{
					border-bottom:2px solid $pnk;
				}
      }
      ul{
				background-color: #170044;
				box-shadow: -1px 0px 0px 0px $bl;
				transition: all 0s;
				@include breakpoint($b-768){
					position: absolute;
					transform: perspective(800px) rotateX(-90deg);
					transition: all 0.3s;
					overflow: hidden;

					padding-top: 5px;
	    		box-shadow: -2px 1px 0px 0px $bl;
					transform-origin: top;
					li{
						clear: both;
						padding: 8px 10px;
					}
				}

      }
      &:hover{
        &>ul{
					transform: perspective(800px) rotateX(0deg);
					transition-delay: 0s;
				}
      }
    }
  }
}
.side{
  position: absolute;
  top:50%;
  width: 10vw;
  height: 10vw;
	transition: all 0.6s linear;
  box-shadow: 0px 0px 0px 0.7vw $pnk inset, 0px 0px 0px 1.5vw $bl;
  border: 1vw solid rgba(0, 0, 0, 0);
  transform: translateX(-150%) translateY(-50%) rotate(45deg) ;
  &.r{
    right: 0;
    transform:  translateX(150%) translateY(-50%) rotate(45deg);
  }
	&.go{
		box-shadow: 0px 0px 0px 0.7vw $pnk inset, 0px 0px 0px 1.5vw $bl;
	  border: 1vw solid rgba(0, 0, 0, 0);
	  transform: translateX(-50%) translateY(-50%) rotate(45deg) ;
	  &.r{
	    right: 0;
	    transform:  translateX(50%) translateY(-50%) rotate(45deg);
	  }
	}
  &:after{
    content: "";
    position: absolute;
    z-index: 0;
    display: block;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    width: 4vw;
    height: 4vw;
    background-color: $bl;
  }
}
.mob-btn{
	padding: 5px;
  border-radius: 0 0 0 5px;
  width: 36px;
  background-color: $base;
	position: absolute;
	top: 100%;
	right: 0;
	@include breakpoint($b-768){
		display: none;
	}
	span{
		display: block;
		width: 100%;
		height: 2px;
		background-color: #fff;
		margin-bottom: 5px;
	}
	&:after{
		content: "";
		display: block;
		width: 100%;
		height: 2px;
		background-color: #fff;
		margin-bottom: 5px;
		transition: all 0.2s;
	}
	&:before{
		content: "";
		display: block;
		width: 100%;
		height: 2px;
		background-color: #fff;
		margin-bottom: 5px;
		margin-top: 5px;
		transition: all 0.2s;
	}
}
.menu-on{
	.main-nav{
		@include breakpoint($br-768){
	    transform: translateY(0%);
		}
	}
	.mob-btn{
		span{
			opacity: 0;
		}
		&:after{
			transform: translateY(-6px) rotate(45deg);
		}
		&:before{
			transform: translateY(8px) rotate(-45deg)
		}
	}
}
